CompactionIterable.Reducer (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class CompactionIterable.Reducer

    java.lang.Object
      org.apache.cassandra.utils.MergeIterator.Reducer<IColumnIterator,AbstractCompactedRow>
          org.apache.cassandra.db.compaction.CompactionIterable.Reducer

Enclosing class:
  CompactionIterable

    protected class CompactionIterable.Reducer

extends MergeIterator.Reducer<IColumnIterator,AbstractCompactedRow>

Field Summary
`protected java.util.List<SSTableIdentityIterator>` | `rows`

Constructor Summary
`protected` | `CompactionIterable.Reducer()`

Method Summary
`protected AbstractCompactedRow` | `getReduced()`
`void` | `reduce(IColumnIterator current)` combine this object with the previous ones.

Methods inherited from class org.apache.cassandra.utils.MergeIterator.Reducer
`close, onKeyChange, trivialReduceIsTrivial`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rows

    protected final java.util.List<SSTableIdentityIterator> rows

Constructor Detail

### CompactionIterable.Reducer

    protected CompactionIterable.Reducer()

Method Detail

### reduce

    public void reduce(IColumnIterator current)

  Description copied from class: `MergeIterator.Reducer`
  combine this object with the previous ones. intermediate state is up to your implementation.

  Specified by:
    `reduce` in class `MergeIterator.Reducer<IColumnIterator,AbstractCompactedRow>`

### getReduced

    protected AbstractCompactedRow getReduced()

  Specified by:
    `getReduced` in class `MergeIterator.Reducer<IColumnIterator,AbstractCompactedRow>`
  Returns:
    The last object computed by reduce

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation